folly_version = '2021.06.28.00-v2'


Pod::Spec.new do |s|
  s.name         = "react-native-tpl-maps-view"
  s.version      = "1.5.0"
  s.summary      = "description"
  s.homepage     = "homepage"
  s.license      = "license"
  s.authors      = "author"

  s.platforms    = { :ios => "10.0" }
  s.source       = { :git => "https://github.com/<username>/my-app", :tag => "#{s.version}" }

  s.source_files = ['ios/']
  s.dependency "React-Core"
  s.dependency "TPLMaps" , '4.1.3'

  # Don't install the dependencies when we run `pod install` in the old architecture.
  if ENV['RCT_NEW_ARCH_ENABLED'] == '1' then
    s.compiler_flags = folly_compiler_flags + " -DRCT_NEW_ARCH_ENABLED=1"
    s.pod_target_xcconfig    = {
        "HEADER_SEARCH_PATHS" => "\"$(PODS_ROOT)/boost\"",
        "CLANG_CXX_LANGUAGE_STANDARD" => "c++17"
    }

    s.dependency "React-Codegen"
    s.dependency "RCTRequired"
    s.dependency "RCTTypeSafety"
    s.dependency "ReactCommon/turbomodule/core"

  end

end  